System.ServiceModel 4.0.0.0 System.Object System.Collections.Generic.IEqualityComparer<System.UriTemplate>

instances are compared using reference equality by default. The class evaluates equivalence using instead of the default reference equality check. This class is useful when you wish to compare two instances based on the URIs they match instead of strict reference equality.

A class used to compare instances for structural (instead of reference) equivalence.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Boolean `` ``

  This method is not normally called directly. It is called by another class that is comparing two instances.

  Compares two instances for equivalence.

  A value that indicates whether the two instances are equivalent.

  A instance. A instance.
- Method
  4.0.0.0
  System.Int32 ``

  This method is not normally called directly. It is called by another class that requires a hash of a instance.

  Gets a hash code for the specified instance.

  The hash code.

  The instance.